dnl -*- html -*-
define(__title, `Bandali''`s Personal Site')dnl
define(__slug, `home')dnl
define(__nts)dnl
include(header.html)dnl

<section id="intro">
<p>Hi, I'm bandali.  I am a graduate student at the
<a href="//watform.uwaterloo.ca">Waterloo Formal Methods</a> group at
the University of Waterloo, supervised by
<a href="//cs.uwaterloo.ca/~nday/">Nancy&nbsp;Day</a>.
The main goal of my research is
improving <strong>software and systems reliability</strong>
through application of
<a href="//en.wikipedia.org/wiki/Formal_methods">formal
methods</a>.</p>

<p>My research at WatForm focuses on formal logic, model checking, and
verification.  I am also interested in programming languages, proof
assistants, and their type systems.</p>

<p>On the side, I enjoy
<a href="//stallman.org/articles/on-hacking.html">hacking</a> on
<a href="//www.gnu.org/software/emacs/manual/elisp.html">elisp</a>
and <a href="//www.gnu.org/software/guile/">guile</a>.  I am a
GNU <a href="//www.gnu.org/people/#bandali">maintainer</a>,
<a href="//www.gnu.org/people/webmeisters.html#bandali">webmaster</a>,
and <a href="//savanna.gnu.org/maintenance/SavannahHacker/">Savannah
hacker</a>.  I am also a
<a href="//www.gnu.org/philosophy/free-sw.html">free software</a>
activist, and an <a href="//www.fsf.org/associate/">associate
member</a> of the <a href="///www.fsf.org">Free Software
Foundation</a>.  I'm the chief organizer of
the <a href="//emacsconf.org">EmacsConf</a> conference, and the
co-host of the <a href="//emacsel.com">Emacs.el</a> podcast with
<a href="//www.pygopar.com">Daniel Gopar</a>.  I am also a member of
the Systems Committee of the
<a href="//csclub.uwaterloo.ca">Computer Science Club</a> of the
University of Waterloo, and an intern with the FSF tech team starting
in spring 2020.</p>
</section>

<section id="papers">
<h2>Papers</h2>
<dl>
<dt>A Comparison of the Declarative Modelling Languages B, Dash, and
TLA<sup>+</sup>
<small>
[ <a href="//p.bndl.org/modre2018-declarative.pdf">pdf</a>
| <a href="//p.bndl.org/modre2018-declarative.bib">bib</a>
]
</small>
</dt>
<dd>
Ali Abbassi, <a href="//bndl.org">Amin Bandali</a>,
<a href="//cs.uwaterloo.ca/~nday/">Nancy A. Day</a>, Jose Serna<br/>
<em>2018 IEEE 8th International Model-Driven Requirements Engineering
Workshop (MoDRE)</em><br/>
Copyright &copy; 2018 IEEE.  All Rights Reserved.  Sadly.
</dd>
</dl>
</section>

<section id="talks">
<h2>Talks</h2>
<dl>
<dt>The Magic of Specifications and Type Systems
<small>
[ <a href="//p.bndl.org/cucsc-2017-slides.pdf"
     title="presented at the Canadian Undergraduate Computer Science Conference 2017,
University of Toronto, Canada, June 15–17, 2017">slides</a>
| <a href="//p.bndl.org/eecs4080-poster.pdf"
     title="presented at the Lassonde Undergraduate Summer Student Research Conference,
York University, Toronto, Canada, August 15, 2017">poster</a>
]
</small>
</dt>
<dd>
<a href="//bndl.org">Amin Bandali</a>,
<a href="//github.com/cipher1024">Simon Hudon</a>,
<a href="//www.cse.yorku.ca/~jonathan/">Jonathan S. Ostroff</a>
</dd>
</dl>
</section>

<section id="projects">
<h2>Projects</h2>
<p>Here are some of my recent free software projects:</p>
<dl>
<dt><a href="//git.emacsconf.org/bandali/refinery-theme">refinery-theme</a></dt>
<dd>A refined, minimalist, layered colour theme for GNU Emacs</dd>

<dt><a href="//git.emacsconf.org/bandali/george-mode">george-mode</a></dt>
<dd>Emacs major mode for editing George files</dd>

<dt><a href="//git.emacsconf.org/bandali/alloy-catalyst">alloy-catalyst</a></dt>
<dd>Framework for performance analysis of Alloy models</dd>

<dt><a href="//github.com/unitb/unitb-web">unitb-web</a></dt>
<dd>Web interface for Unit-B</dd>

<dt><a href="//github.com/unitb/tex2png-hs">tex2png-hs</a></dt>
<dd>Library and CLI for converting TeX and LaTeX to PNG images</dd>
</dl>
</section>

<section id="notes">
<h2>Notes</h2>
<p>Here are notes about a variety of topics and issues I care
about.<br/>
They are also available via
<a href="notes.atom">
<img class="feed-icon" src="icon-12px.png"
     alt="subscribe to Atom feed">Atom</a>
and
<a href="notes.rss">
<img class="feed-icon" src="icon-12px.png"
     alt="subscribe to RSS feed">RSS</a> feeds.</p>

<table class="post-list">
<tbody>
<tr>
<td><a href="fsf-internship/intro">Internship with the FSF tech team</a>
(intro)</td>
<td><small>May 29, 2020</small></td>
</tr>
<tr>
<td><a href="computing">How I do my Computing</a></td>
<td><small>September 14, 2019</small></td>
</tr>
<tr>
<td><a href="arch-macbook-air">Arch GNU/Linux on MacBook Air 2013</a></td>
<td><small>November 1, 2016</small></td>
</tr>
</tbody>
</table>
</section>

define(__copy, `2016&ndash;2020')dnl
include(footer.html)dnl
